aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.GetIdentityVerificationAttributes

Synopsis

- data GetIdentityVerificationAttributes = GetIdentityVerificationAttributes [Text]
- data GetIdentityVerificationAttributesResponse = GetIdentityVerificationAttributesResponse [IdentityVerificationAttributes]
- data IdentityVerificationAttributes = IdentityVerificationAttributes {
  - ivIdentity :: Text
  - ivVerificationStatus :: Text
  - ivVerificationToken :: Maybe Text
  }

# Documentation

data GetIdentityVerificationAttributes Source #

Get verification status for a list of email addresses and/or domains

Constructors

GetIdentityVerificationAttributes [Text] |

#### Instances

Instances details

SignQuery GetIdentityVerificationAttributes Source # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Associated Types

type ServiceConfiguration GetIdentityVerificationAttributes |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type ServiceConfiguration GetIdentityVerificationAttributes = SesConfiguration

Methods

signQuery :: GetIdentityVerificationAttributes -> ServiceConfiguration GetIdentityVerificationAttributes queryType -> SignatureData -> SignedQuery Source #

Show GetIdentityVerificationAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes Methods showsPrec :: Int -> GetIdentityVerificationAttributes -> ShowS Source # show :: GetIdentityVerificationAttributes -> String Source # showList :: [GetIdentityVerificationAttributes] -> ShowS Source #
Eq GetIdentityVerificationAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes Methods (==) :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> Bool Source # (/=) :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> Bool Source #
Ord GetIdentityVerificationAttributes Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Methods

compare :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> Ordering Source #

(<) :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> Bool Source #

(<=) :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> Bool Source #

(>) :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> Bool Source #

(>=) :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> Bool Source #

max :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes Source #

min :: GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes -> GetIdentityVerificationAttributes Source #

ResponseConsumer GetIdentityVerificationAttributes GetIdentityVerificationAttributesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Associated Types

type ResponseMetadata GetIdentityVerificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type ResponseMetadata GetIdentityVerificationAttributesResponse = SesMetadata

Methods

responseConsumer :: Request -> GetIdentityVerificationAttributes -> IORef (ResponseMetadata GetIdentityVerificationAttributesResponse) -> HTTPResponseConsumer GetIdentityVerificationAttributesResponse Source #

Transaction GetIdentityVerificationAttributes GetIdentityVerificationAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes
type ServiceConfiguration GetIdentityVerificationAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type ServiceConfiguration GetIdentityVerificationAttributes = SesConfiguration

data GetIdentityVerificationAttributesResponse Source #

The response sent back by Amazon SES after a `GetIdentityVerificationAttributes` command.

Constructors

GetIdentityVerificationAttributesResponse [IdentityVerificationAttributes] |

#### Instances

Instances details

AsMemoryResponse GetIdentityVerificationAttributesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Associated Types

type MemoryResponse GetIdentityVerificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type MemoryResponse GetIdentityVerificationAttributesResponse = GetIdentityVerificationAttributesResponse

Methods

loadToMemory :: GetIdentityVerificationAttributesResponse -> ResourceT IO (MemoryResponse GetIdentityVerificationAttributesResponse) Source #

Show GetIdentityVerificationAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes Methods showsPrec :: Int -> GetIdentityVerificationAttributesResponse -> ShowS Source # show :: GetIdentityVerificationAttributesResponse -> String Source # showList :: [GetIdentityVerificationAttributesResponse] -> ShowS Source #
Eq GetIdentityVerificationAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes Methods (==) :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> Bool Source # (/=) :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> Bool Source #
Ord GetIdentityVerificationAttributesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Methods

compare :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> Ordering Source #

(<) :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> Bool Source #

(<=) :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> Bool Source #

(>) :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> Bool Source #

(>=) :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> Bool Source #

max :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse Source #

min :: GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse -> GetIdentityVerificationAttributesResponse Source #

ResponseConsumer GetIdentityVerificationAttributes GetIdentityVerificationAttributesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Associated Types

type ResponseMetadata GetIdentityVerificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type ResponseMetadata GetIdentityVerificationAttributesResponse = SesMetadata

Methods

responseConsumer :: Request -> GetIdentityVerificationAttributes -> IORef (ResponseMetadata GetIdentityVerificationAttributesResponse) -> HTTPResponseConsumer GetIdentityVerificationAttributesResponse Source #

Transaction GetIdentityVerificationAttributes GetIdentityVerificationAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes
type MemoryResponse GetIdentityVerificationAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type MemoryResponse GetIdentityVerificationAttributesResponse = GetIdentityVerificationAttributesResponse
type ResponseMetadata GetIdentityVerificationAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type ResponseMetadata GetIdentityVerificationAttributesResponse = SesMetadata

data IdentityVerificationAttributes Source #

Constructors

IdentityVerificationAttributes |

Fields

- ivIdentity :: Text
- ivVerificationStatus :: Text
- ivVerificationToken :: Maybe Text

#### Instances

Instances details

Show IdentityVerificationAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes Methods showsPrec :: Int -> IdentityVerificationAttributes -> ShowS Source # show :: IdentityVerificationAttributes -> String Source # showList :: [IdentityVerificationAttributes] -> ShowS Source #
Eq IdentityVerificationAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes Methods (==) :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> Bool Source # (/=) :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> Bool Source #
Ord IdentityVerificationAttributes Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Methods

compare :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> Ordering Source #

(<) :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> Bool Source #

(<=) :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> Bool Source #

(>) :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> Bool Source #

(>=) :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> Bool Source #

max :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> IdentityVerificationAttributes Source #

min :: IdentityVerificationAttributes -> IdentityVerificationAttributes -> IdentityVerificationAttributes Source #